<?php

namespace App\Generated\V1_1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class TimMessageDTO extends DTO
{
    use ValueHelper;

    protected $fromAccount;
    protected $toAccount;
    protected $msgRandom;
    protected $msgTimeStamp;
    protected $msgSeq;
    protected $read;
    protected $content;

    /**
     * @return string
     */
    public function getFromAccount()
    {
        return $this->fromAccount;
    }

    /**
     * @return string
     */
    public function getToAccount()
    {
        return $this->toAccount;
    }

    /**
     * @return int
     */
    public function getMsgRandom()
    {
        return $this->msgRandom;
    }

    /**
     * @return int
     */
    public function getMsgTimeStamp()
    {
        return $this->msgTimeStamp;
    }

    /**
     * @return int
     */
    public function getMsgSeq()
    {
        return $this->msgSeq;
    }

    /**
     * @return int
     */
    public function getRead()
    {
        return $this->read;
    }

    /**
     * @return null
     */
    public function getContent()
    {
        return $this->content;
    }

    public function setFromAccount($fromAccount)
    {
        $this->fromAccount = $fromAccount;
    }

    public function setToAccount($toAccount)
    {
        $this->toAccount = $toAccount;
    }

    public function setMsgRandom($msgRandom)
    {
        $this->msgRandom = $msgRandom;
    }

    public function setMsgTimeStamp($msgTimeStamp)
    {
        $this->msgTimeStamp = $msgTimeStamp;
    }

    public function setMsgSeq($msgSeq)
    {
        $this->msgSeq = $msgSeq;
    }

    public function setRead($read)
    {
        $this->read = $read;
    }

    public function setContent($content)
    {
        $this->content = $content;
    }

    public function getAttributeMap()
    {
        return [
            ['fromAccount', 'from_account', 'bail|string', Constants::STRING, null],
            ['toAccount', 'to_account', 'bail|string', Constants::STRING, null],
            ['msgRandom', 'msg_random', 'bail|integer', Constants::INTEGER, null],
            ['msgTimeStamp', 'msg_time_stamp', 'bail|integer', Constants::INTEGER, null],
            ['msgSeq', 'msg_seq', 'bail|integer', Constants::INTEGER, null],
            ['read', 'read', 'bail|integer', Constants::INTEGER, null],
            ['content', 'content', 'bail', null, null],
        ];
    }

}
